License Manager Query Supported Features

License Manager Query Supported Features
Queries the current license source for a list of available licenses that can be licensed from this system.

Deprecated as of vSphere API 4.0, use QueryAssignedLicenses instead.

Queries the current license source for a list of available licenses that can be licensed from this system.

Required privileges: Global.Licenses

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/LicenseManager/{moId}/QuerySupportedFeatures
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case LicenseManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
QuerySupportedFeaturesRequestType of type(s) application/json
Optional
{
    "host": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
host
Optional

Use the license source of the specified host.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "key": "string",
        "featureName": "string",
        "featureDescription": "string",
        "state": "string",
        "costUnit": "string",
        "sourceRestriction": "string",
        "dependentKey": [
            "string"
        ],
        "edition": false,
        "expiresOn": "string"
    }
]
array of object
Optional

Deprecated as of vSphere API 4.0, this is not used by the system.

A single feature that can be licensed.

This information is immutable.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/sdk/vim25/{release}/LicenseManager/{moId}/QuerySupportedFeatures